Debian Bug report logs - #322762
/usr/doc may still exist on upgrade of old systems

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Fri, 12 Aug 2005 18:03:11 UTC

Severity: normal

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/doc still exists (transition tracking bug)
Date: Fri, 12 Aug 2005 13:53:48 -0400
[Message part 1 (text/plain, inline)]
Package: general
Severity: normal

In 1999, Debian began moving /usr/doc to /usr/share/doc to comply with
the FHS. Due to unfortunate dpkg issues at the time, we couldn't simply
move the directory and be done with it, but decided to move things
peicemeil by updating all packages. Due to some silly concerns about
users having to look in two places during the transition, we decided to
start by making /usr/doc/<package> -> /usr/share/doc/<package> symlinks.

In 2001, putting any documentation in /usr/doc became a serious policy
violation. The symlinks were still allowed.

In 2002, we completed the first stage of the transition, released woody
with complete /usr/share/doc and /usr/doc directories, and policy was
changed to not require the /usr/doc symlinks. debhelper was changed to
stop adding postinst and postrm fragments to manage the links, and so
most packages only needed a recompile to finish the transition.

We are now in the final, worst stages of this transition, when the few
remaining links in /usr/doc are due to packages that either use
debhelper and are so unmaintained they've not been updated since 2002,
or do not use debhelper and have not been modified to remove the code,
or worst, have been modified to remove the code, but botched it.

Policy is expected to be changed soon to make any files in /usr/doc a
serious bug. For now it is a normal bug.

A typical Debian unstable system today will have a dozen or two of these
symlinks left. This tracking bug is here because that is ugly and we
should completely finish the transition.

Set any bugs about /usr/doc stuff to being blockers of this bug report.
Use this as a tracking/coordination bug for the remainder of the transition.

Note that once this transition is complete we will need to do something
in base-files to remove the /usr/doc directory, if it is empty. It won't
be empty in all cases, for example a user might have non-debian or old
packages that have not transitioned still installed. This bug can be
reassigned to base-files to deal with that last step once it is no
longer blocked by any other bugs.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Blocking bugs added: 322769 and 321926 Request was from Julien Cristau <julien.cristau@ens-lyon.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322749, 254800, 189856, 190020, 203278, 254913, 254924, 254930, 255590, 256226, 256250, 320084, and 320103 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 302504 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322784, 322782, 322783, 322778, and 322781 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322772, 322776, and 322779 Request was from Julien Cristau <julien.cristau@ens-lyon.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322797, 322795, 322794, 322790, 322789, 322788, 322785, 322786, 322787, 322791, 322792, 322793, 322798, 322813, 322811, 322800, 322799, 322801, 322803, 322804, 322805, 322806, 322807, 322808, 322809, 322810, 322812, and 322814 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322775 Request was from Julien Cristau <julien.cristau@ens-lyon.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322819, 322818, 322815, 322816, 322817, and 322820 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 322828, 322830, 322829, 322831, 322832, 322833, 322834, 322835, 322837, 322838, and 322839 Request was from Julien Cristau <julien.cristau@ens-lyon.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 322762@bugs.debian.org
Subject: finding the rest..
Date: Sat, 13 Aug 2005 21:25:05 -0400
[Message part 1 (text/plain, inline)]
We have a good start at a list, to find the rest we need to:

- Check lintian for usr-doc symlink warnings. (Unfortunatly
  lintain.debian.org is partially down right now.)
- Run a piuparts to test upgrade from woody to sarge to unstable and
  file bugs on anything that leaves /usr/doc cruft behind. Will catch
  all the packages that both the transition.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 322762@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Joey Hess <joeyh@debian.org>, 322762@bugs.debian.org
Subject: Re: Bug#322762: finding the rest..
Date: Sun, 14 Aug 2005 18:57:17 +0200
On Sat, Aug 13, 2005 at 09:25:05PM -0400, Joey Hess wrote:
> We have a good start at a list, to find the rest we need to:
> 
> - Check lintian for usr-doc symlink warnings. (Unfortunatly
>   lintain.debian.org is partially down right now.)

Should work correctly again.

http://lintian.debian.org/reports/Tpostinst-should-not-set-usr-doc-link.html

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Blocking bugs removed: 256226 Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Julien Cristau <julien.cristau@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 352893 Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 352894 Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 319726 Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 353569 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 355341 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359387 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359358 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359380 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359392 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359400 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359369 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359382 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359371 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359370 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359381 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359396 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359409 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359391 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359424 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359394 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359401 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359422 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359407 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359420 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359405 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359363 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359439 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359441 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359364 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359444 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359430 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359388 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359415 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359360 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359442 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359428 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359366 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359445 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359385 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359375 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359361 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359378 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359456 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359413 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359416 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359389 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359460 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359431 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359417 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359402 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359399 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359418 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359403 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359446 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359432 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359367 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359457 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359379 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359404 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359447 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359410 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359374 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359384 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359425 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359443 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359414 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359377 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359455 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359395 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359451 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359421 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359393 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359449 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359466 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359386 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359376 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359480 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359469 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359365 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359468 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359440 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359426 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359411 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359454 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359362 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359398 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359390 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359462 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359397 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359453 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359478 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359406 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359372 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359423 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359383 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359408 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359490 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359368 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359465 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359359 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359467 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359520 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359427 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359412 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359492 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359516 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359435 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359459 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359474 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359499 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359523 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359433 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359419 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359476 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359514 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359498 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359522 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359534 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359487 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359448 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359510 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359497 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359515 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359436 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359524 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359500 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359489 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359450 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359537 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359479 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359504 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359528 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359501 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359483 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359508 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359461 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359502 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359513 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359475 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359543 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359538 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359495 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359550 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359477 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359452 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359526 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359482 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359557 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359491 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359536 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359559 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359529 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359437 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359544 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359494 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359470 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359507 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359484 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359496 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359509 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359551 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359532 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359542 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359472 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359521 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359485 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359517 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359505 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359493 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359506 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359540 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359429 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359549 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359560 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359572 and 359576 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359561 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359541 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359531 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359519 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359573 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359434 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359511 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359486 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359458 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359473 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359562 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359471 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359464 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359556 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359503 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359580 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359463 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359582 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359527 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359547 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359592 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359586 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359535 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359488 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359512 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359533 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359552 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359575 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359518 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359481 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359530 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359558 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359605 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359591 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359569 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359581 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359548 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359539 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359570 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359577 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359553 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359576 and 359572 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359588 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359600 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359566 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359567 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359599 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359596 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359565 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359603 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359606 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359612 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359590 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359555 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359546 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359609 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359568 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359579 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359611 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359587 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359564 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359593 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359554 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359563 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359578 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359602 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359597 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359598 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359594 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359583 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359584 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359607 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359589 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359601 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359604 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359585 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359610 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359571 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359595 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359608 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359574 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359545 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to RISKO Gergely <risko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #558 received at 322762-close@bugs.debian.org (full text, mbox):

From: RISKO Gergely <risko@debian.org>
To: 322762-close@bugs.debian.org
Subject: Bug#322762: fixed in vgacardgames 1.3.1-14
Date: Tue, 30 May 2006 17:32:20 -0700
Source: vgacardgames
Source-Version: 1.3.1-14

We believe that the bug you reported is fixed in the latest version of
vgacardgames, which is due to be installed in the Debian FTP archive:

vgacardgames_1.3.1-14.diff.gz
  to pool/main/v/vgacardgames/vgacardgames_1.3.1-14.diff.gz
vgacardgames_1.3.1-14.dsc
  to pool/main/v/vgacardgames/vgacardgames_1.3.1-14.dsc
vgacardgames_1.3.1-14_i386.deb
  to pool/main/v/vgacardgames/vgacardgames_1.3.1-14_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322762@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
RISKO Gergely <risko@debian.org> (supplier of updated vgacardgames package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 31 May 2006 02:03:32 +0200
Source: vgacardgames
Binary: vgacardgames
Architecture: source i386
Version: 1.3.1-14
Distribution: unstable
Urgency: low
Maintainer: RISKO Gergely <risko@debian.org>
Changed-By: RISKO Gergely <risko@debian.org>
Description: 
 vgacardgames - Four SVGAlib card games
Closes: 322762
Changes: 
 vgacardgames (1.3.1-14) unstable; urgency=low
 .
   * rebuild because of /usr/doc transition (closes: #322762)
   * tidy up the manpages
   * dh_compat 1->4 transition
Files: 
 1c9a2fd02a86046db8df08c15246d859 587 games optional vgacardgames_1.3.1-14.dsc
 3fb79ab7e316facdac0d0341c268b791 4380 games optional vgacardgames_1.3.1-14.diff.gz
 07e1d207e581e15aaa30079e1a0bad24 36762 games optional vgacardgames_1.3.1-14_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEfOK0O0PrGO4KNccRAmQFAJoDXTpkMXcNhb93Np+dahiuJ00e3ACfUSYP
CaE8rEAIjV63nkoZ/WWYWOc=
=k/Ws
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Florian Ernst <florian@uni-hd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 256250 and 322775 Request was from "Amaya M. Rodrigo Sastre" <amaya.rodrigo@map.es> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 254930 Request was from "Amaya M. Rodrigo Sastre" <amaya.rodrigo@map.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #569 received at 322762@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 322762@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Done in NMU
Date: Wed, 12 Jul 2006 12:11:46 +0200
tags 322762 fixed
thanks

-- 
 .''`.             Fuck your fascist beauty standards
: :' :   
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Tags added: fixed Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359360 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359387 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359358 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359380 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359392 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359400 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359369 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359382 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359371 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359370 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359381 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359396 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359409 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359391 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359424 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359394 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359401 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359422 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359407 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359420 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359405 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359363 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359439 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359441 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359364 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359444 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359430 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359388 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359415 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359360 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359442 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359428 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359366 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359445 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359385 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359375 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359361 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359378 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359456 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359413 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359416 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359389 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359460 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359431 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359417 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359402 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359399 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359418 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359403 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359446 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359432 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359367 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359457 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359379 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359404 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359447 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359410 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359374 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359384 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359425 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359443 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359414 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359377 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359455 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359395 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359451 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359421 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359393 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359449 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359466 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359386 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359376 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359480 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359469 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359365 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359468 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359440 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359426 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359411 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359454 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359362 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359398 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359390 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359462 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359397 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359453 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359478 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359406 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359372 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359423 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359383 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359408 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359490 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359368 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359465 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359359 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359467 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359520 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359427 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359412 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359492 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359516 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359435 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359459 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359474 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359499 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359523 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359433 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359419 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359476 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359514 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359498 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359522 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359534 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359487 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359448 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359510 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359497 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359515 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359436 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359524 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359500 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359489 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359450 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359537 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359479 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359504 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359528 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359501 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359483 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359508 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359461 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359502 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359513 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359475 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359543 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359538 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359495 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359550 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359477 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359452 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359526 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359482 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359557 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359491 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359536 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359559 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359529 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359437 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359544 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359494 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359470 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359507 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359484 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359496 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359509 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359551 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359532 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359542 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359472 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359521 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359485 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359517 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359505 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359493 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359506 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359540 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359429 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359549 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359560 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359572 and 359576 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359561 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359541 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359531 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359519 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359573 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359434 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359511 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359486 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359458 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359473 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359562 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359471 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359464 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359556 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359503 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359580 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359463 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359582 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359527 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359547 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359592 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359586 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359535 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359488 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359512 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359533 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359552 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359575 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359518 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359481 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359530 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359558 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359605 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359591 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359569 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359581 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359548 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359539 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359570 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359577 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359553 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359576 and 359572 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359588 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359600 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359566 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359567 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359599 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359596 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359565 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359603 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359606 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359612 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359590 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359555 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359546 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359609 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359568 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359579 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359611 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359587 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359564 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359593 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359554 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359563 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359578 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359602 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359597 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359598 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359594 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359583 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359584 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359607 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359589 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359601 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359604 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359585 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359610 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359571 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359595 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359608 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359574 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 359545 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 332303 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 332303 and 359404 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359360 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359397 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359398 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359402 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359404 and 332303 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359415 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359416 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 removed: 359565 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 378646 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 378648 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 378649 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 378650 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 351740 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 338060 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 338238 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 328297 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 338227 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 378647 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1124 received at 322762@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 322762@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Amaya <amaya@debian.org>
Subject: no blocking bugs anymore
Date: Fri, 05 Jan 2007 20:56:18 +0100
Hi,

> Set any bugs about /usr/doc stuff to being blockers of this bug report.
> Use this as a tracking/coordination bug for the remainder of the transition.
> 
> Note that once this transition is complete we will need to do something
> in base-files to remove the /usr/doc directory, if it is empty. It won't
> be empty in all cases, for example a user might have non-debian or old
> packages that have not transitioned still installed. This bug can be
> reassigned to base-files to deal with that last step once it is no
> longer blocked by any other bugs.

Well, today I have fixed the last two remaining bugs that blocked this
bug (I'll have to followup to them to see whether the fixes will get to
Etch, but that is not really on topic for this bug per se).

Hence, I think now is the time to continue with the next steps as
outlined in the first message in the bug, right?


Thijs



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1129 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>, 322762@bugs.debian.org
Cc: Amaya <amaya@debian.org>
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 16:35:01 -0500
[Message part 1 (text/plain, inline)]
Thijs Kinkhorst wrote:
> Well, today I have fixed the last two remaining bugs that blocked this
> bug (I'll have to followup to them to see whether the fixes will get to
> Etch, but that is not really on topic for this bug per se).

Excellent.

I note that we still arn't 100% sure we've caught every last upgrade
issue involving /usr/doc, since AFAIK puiparts has not been used to test
upgrades of everything.

Also, I see that there are still some lintian warnings about it at
http://lintian.debian.org/reports/Tpostinst-should-not-set-usr-doc-link.html
but I guess these are obsolete, since it was last updated in August. I
spot-checked a couple of packages and they seem fixed.

> Hence, I think now is the time to continue with the next steps as
> outlined in the first message in the bug, right?

Yes, I think it's time to reassign it to base-files, to get the
directory removed on upgrade if it's empty.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1134 received at 322762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thijs Kinkhorst <thijs@debian.org>, 322762@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 22:31:25 +0100 (CET)
On Fri, 5 Jan 2007, Thijs Kinkhorst wrote:

> Hi,
> 
> > Set any bugs about /usr/doc stuff to being blockers of this bug report.
> > Use this as a tracking/coordination bug for the remainder of the transition.
> > 
> > Note that once this transition is complete we will need to do something
> > in base-files to remove the /usr/doc directory, if it is empty. It won't
> > be empty in all cases, for example a user might have non-debian or old
> > packages that have not transitioned still installed. This bug can be
> > reassigned to base-files to deal with that last step once it is no
> > longer blocked by any other bugs.
> 
> Well, today I have fixed the last two remaining bugs that blocked this
> bug (I'll have to followup to them to see whether the fixes will get to
> Etch, but that is not really on topic for this bug per se).
> 
> Hence, I think now is the time to continue with the next steps as
> outlined in the first message in the bug, right?

No, the next step is to close the bug and celebrate it.

If the system has only official Debian packages installed, and you upgrade
all of them in a way that none of them put files under /usr/doc anymore,
then dpkg should automatically remove /usr/doc when upgrading the last
/usr/doc-using package, and there is really no need to do anything else.

base-files is not, and should not be, a fix-everything package. Once
we have fixed all our packages, we are already compliant, and that's
all what we should reasonably do.

The local admin is still free to put files in /usr/doc if he wishes,
but it's not our job to fiddle with those files, move them around,
or anything similar. Our job was fixing our packages, and that's now done.

Thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1139 received at 322762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>, 322762@bugs.debian.org
Cc: Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 23:13:53 +0100 (CET)
On Fri, 5 Jan 2007, Joey Hess wrote:

> Yes, I think it's time to reassign it to base-files, to get the
> directory removed on upgrade if it's empty.

Please don't. Dpkg already does that. See my previous message.



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1144 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 17:32:52 -0500
[Message part 1 (text/plain, inline)]
Santiago Vila wrote:
> Please don't. Dpkg already does that. See my previous message.

It doesn't seem to in all cases, I have empty /usr/doc directories on
some systems.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1149 received at 322762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 23:40:07 +0100 (CET)
On Fri, 5 Jan 2007, Joey Hess wrote:

> Santiago Vila wrote:
> > Please don't. Dpkg already does that. See my previous message.
> 
> It doesn't seem to in all cases, I have empty /usr/doc directories on
> some systems.

Then it's dpkg fault, in which case you should reassign it to dpkg.
The purpose of base-files is not to fix bugs in other packages.



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1154 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Santiago Vila <sanvila@unex.es>, 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 17:56:41 -0500
[Message part 1 (text/plain, inline)]
What's going on is that a base sarge system looks like this:

kodama:/usr/doc# ls -l
total 0
lrwxrwxrwx  1 root root 15 Jan  5 22:41 at -> ../share/doc/at
lrwxrwxrwx  1 root root 17 Jan  5 22:41 cpio -> ../share/doc/cpio
lrwxrwxrwx  1 root root 21 Jan  5 22:41 ipchains -> ../share/doc/ipchains
lrwxrwxrwx  1 root root 18 Jan  5 22:41 klogd -> ../share/doc/klogd
lrwxrwxrwx  1 root root 25 Jan  5 22:41 liblockfile1 -> ../share/doc/liblockfile1
lrwxrwxrwx  1 root root 21 Jan  5 22:41 sysklogd -> ../share/doc/sysklogd
kodama:/usr/doc# dpkg -S /usr/doc
base-files: /usr/doc

When this is upgraded to etch, base-files is upgraded before most of these
symlink containing packages. So dpkg cannot remove the /usr/doc directory
despite that being the last package to own it. The symlinks are eventually
removed, but the directory remains.

(Reading database ... 7749 files and directories currently installed.)
Preparing to replace base-files 3.1.2 (using .../archives/base-files_4_i386.deb) ...
Unpacking replacement base-files ... dpkg: warning - unable to delete old file `/usr/doc': Directory not empty
Setting up base-files (4) ...


BTW, there are also crufty old systems where /usr/doc contains a mess of
broken symlinks due to broken old packages that were removed before being
fixed, or possibly due to upgrade bugs in existing packages that we've missed:

<Sesse> joeyh: heh. I actually have tons of stuff left in /usr/doc; most of it from 1998, though. :-)
<Sesse> six symlinks, though. probably left over in some upgrade...
<Sesse> joeyh: well... tftpd-hpa, raidtools2, python, freefont, fai, dhcp, at
<Sesse> all but python and freefont are simply gone


The following in base-files's postinst would fix both issues.

if [ -d /usr/doc ] && [ ! -L /usr/doc ]; then
	find /usr/doc -maxdepth 1 -mindepth 1 -type l -print0 | xargs -0 rm -f
	rmdir --ignore-fail-on-non-empty /usr/doc 2>/dev/null
fi

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1159 received at 322762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Sat, 6 Jan 2007 00:35:05 +0100 (CET)
On Fri, 5 Jan 2007, Joey Hess wrote:

> What's going on is that a base sarge system looks like this:
> 
> [ snipped datailed explanation ]

Ok, I see. Not dpkg fault. If it helps I can reintroduce /usr/doc in
base-files in etch ;-)

> The following in base-files's postinst would fix both issues.
> 
> if [ -d /usr/doc ] && [ ! -L /usr/doc ]; then
> 	find /usr/doc -maxdepth 1 -mindepth 1 -type l -print0 | xargs -0 rm -f
> 	rmdir --ignore-fail-on-non-empty /usr/doc 2>/dev/null
> fi

Well, what I see is that after an upgrade from sarge to etch, the user
may have an empty /usr/doc. But even in such case, it is not base-files
business to remove symlinks indiscriminately in /usr/doc, as they
could be there because the system admin puts them there deliberately
for whatever reason.

BTW: Are we talking about the base-files version in etch, for upgrades
from sarge, or the one in lenny for upgrades from etch? (or both)

I could add the rmdir thing for etch, if the release managers think
we need it. If not, we can leave this to the user.



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1164 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 19:02:16 -0500
[Message part 1 (text/plain, inline)]
Santiago Vila wrote:
> Ok, I see. Not dpkg fault. If it helps I can reintroduce /usr/doc in
> base-files in etch ;-)

I'd prefer the rmdir in the postinst, and not doing it only on upgrade,
but unconditionally, and leaving it in for a few releases. That way,
whenever a system finally gets the last /usr/doc symlinks cleaned out,
it will have /usr/doc removed by a base-files upgrade .. eventually.

It's still not uncommon for upgraded systems to have /usr/doc symlinks.
For example, they might have an obsolete sarge package like ipchains
installed.

> Well, what I see is that after an upgrade from sarge to etch, the user
> may have an empty /usr/doc. But even in such case, it is not base-files
> business to remove symlinks indiscriminately in /usr/doc, as they
> could be there because the system admin puts them there deliberately
> for whatever reason.

I consider this highly unlikely, to the extent that I'm sure I can find
hundreds of other situations where we make some assumption about the system
that could break if the admin did something similarly unusial.

> BTW: Are we talking about the base-files version in etch, for upgrades
> from sarge, or the one in lenny for upgrades from etch? (or both)
>
> I could add the rmdir thing for etch, if the release managers think
> we need it. If not, we can leave this to the user.

This isn't an RC issue, so I doubt the release managers want to be
bothered about it. While I'd prefer to see it fixed for etch, if
necessary I can wait one release more.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1169 received at 322762@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-devel@lists.debian.org, 322762@bugs.debian.org
Cc: Santiago Vila <sanvila@unex.es>, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 16:32:36 -0800
On Fri, 05 Jan 2007, Joey Hess wrote:
> The following in base-files's postinst would fix both issues.
> 
> if [ -d /usr/doc ] && [ ! -L /usr/doc ]; then
> 	find /usr/doc -maxdepth 1 -mindepth 1 -type l -print0 | xargs -0 rm -f
> 	rmdir --ignore-fail-on-non-empty /usr/doc 2>/dev/null
> fi

Wouldn't just running 

if [ -d /usr/doc ] && [ ! -L /usr/doc ]; then
   rmdir --ignore-fail-on-non-empty /usr/doc; 
fi

in the postinst resolve this issue without having the issues of
removing symlinks that the system administrator placed there on
purpose?

Granted, if the upgrade was split and basefile's postinst ran before
the other packages, the final cleanup would take another upgrade to go
into effect... but it would avoid mucking with files that don't belong
to basefiles.


Don Armstrong

-- 
There are two types of people in this world, good and bad. The good
sleep better, but the bad seem to enjoy the waking hours much more.  
 -- Woody Allen

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1174 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 20:01:48 -0500
[Message part 1 (text/plain, inline)]
Santiago Vila wrote:
> Well, what I see is that after an upgrade from sarge to etch, the user
> may have an empty /usr/doc. But even in such case, it is not base-files
> business to remove symlinks indiscriminately in /usr/doc, as they
> could be there because the system admin puts them there deliberately
> for whatever reason.

How would you feel about removing only broken symlinks?

if [ -d /usr/doc ] && [ ! -L /usr/doc ]; then
	find -L /usr/doc -maxdepth 1 -mindepth 1 -lname \* -print0 | xargs -0 rm -f
	rmdir --ignore-fail-on-non-empty /usr/doc 2>/dev/null
fi

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1179 received at 322762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Sat, 6 Jan 2007 02:27:10 +0100 (CET)
On Fri, 5 Jan 2007, Joey Hess wrote:

> Santiago Vila wrote:
> > Well, what I see is that after an upgrade from sarge to etch, the user
> > may have an empty /usr/doc. But even in such case, it is not base-files
> > business to remove symlinks indiscriminately in /usr/doc, as they
> > could be there because the system admin puts them there deliberately
> > for whatever reason.
> 
> How would you feel about removing only broken symlinks?
> 
> if [ -d /usr/doc ] && [ ! -L /usr/doc ]; then
> 	find -L /usr/doc -maxdepth 1 -mindepth 1 -lname \* -print0 | xargs -0 rm -f
> 	rmdir --ignore-fail-on-non-empty /usr/doc 2>/dev/null
> fi

That would be still be dangerous, and it would also be trying to fix
bugs in other packages.

What if the system admin has a symlink in /usr/doc which points to a
removable volume which may or may not be mounted? We just remove it
anyway, without any questions?

There may be symlinks in /usr/doc mainly for two reasons: Because
the user created them, or because some package forgot to remove them.

The problem is that there is no simple way to know which is the case,
and I hope we agree that we don't want to implement a complex solution
for something which is not such a big problem.

If the user created the symlink, it should be respected as much as
anything in /usr/local, for example. If some package forgot to remove
it, the buggy package should be fixed.

If base-files had to care about packages not removing symlinks
properly, that would be like hiding a problem instead of actually
fixing it, and "Debian does not hide problems".

To summarize: Each package should care about their own symlinks, as we
agreed to do a lot of time ago.


[ The directory /usr/doc itself is different, as you have clearly shown ].



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1184 received at 322762@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Fri, 5 Jan 2007 21:10:53 -0500
[Message part 1 (text/plain, inline)]
Santiago Vila wrote:
> If the user created the symlink, it should be respected as much as
> anything in /usr/local, for example. If some package forgot to remove
> it, the buggy package should be fixed.

It's impossible to fix a buggy package that is no longer in debian, or
that is no longer installed.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1189 received at 322762@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>
Cc: 322762@bugs.debian.org, Thijs Kinkhorst <thijs@debian.org>, Amaya <amaya@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Sat, 6 Jan 2007 03:35:44 +0100 (CET)
On Fri, 5 Jan 2007, Joey Hess wrote:

> Santiago Vila wrote:
> > If the user created the symlink, it should be respected as much as
> > anything in /usr/local, for example. If some package forgot to remove
> > it, the buggy package should be fixed.
> 
> It's impossible to fix a buggy package that is no longer in debian, or
> that is no longer installed.

Very true, but for the same reason we should not try to fix something
which does not make so much harm if there is a risk of breaking
something else.

There will always be packages which leave cruft in the system when
installed and then purged, not just symlinks for the doc transition,
but that's not a good reason for base-files to take care of the cruft
they create.

There is a package called "cruft" which searches for "missing and
unexplained files". I think that would be a much better place for the
functionality you have in mind, as anything which is still in /usr/doc
after the /usr/doc transition is certainly unexplained, or at least
misplaced.



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1194 received at 322762@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: Thijs Kinkhorst <thijs@debian.org>, 322762@bugs.debian.org
Subject: Re: Bug#322762: no blocking bugs anymore
Date: Sat, 6 Jan 2007 09:17:00 +0100
Joey Hess wrote:
> I note that we still arn't 100% sure we've caught every last upgrade
> issue involving /usr/doc, since AFAIK puiparts has not been used to
> test upgrades of everything.

Pity :(

> Also, I see that there are still some lintian warnings about it at
> http://lintian.debian.org/reports/Tpostinst-should-not-set-usr-doc-link.html
> but I guess these are obsolete, since it was last updated in August. I
> spot-checked a couple of packages and they seem fixed.

More up2date findings:
http://merkel.debian.org/~ballombe/lintian-etch-i386/reports/Tpostinst-should-not-set-usr-doc-link.html
Still obsolete packages, though.

> Yes, I think it's time to reassign it to base-files, to get the
> directory removed on upgrade if it's empty.

Yay!

-- 
  ·''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Blocking bugs of 322762 added: 406370 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 406985 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 406990 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 406994 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 406995 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 411972 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 411973 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 322762 added: 411974 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to /usr/doc may still exist on upgrade of old systems from /usr/doc still exists (transition tracking bug). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 14 May 2007 23:18:08 GMT) Full text and rfc822 format available.

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#322762. Full text and rfc822 format available.

Message #1215 received at 322762-submitter@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 322762-submitter@bugs.debian.org
Subject: Re: Bug#322762: /usr/doc may still exist on upgrade of old systems
Date: Mon, 7 Apr 2008 16:22:23 +0200
FYI, there is now only one package still listed at 
<http://lintian.debian.org/reports/tags/postinst-should-not-set-usr-doc-link.html>, 
so it might be time to finish up the transition.




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#322762; Package general. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #1220 received at 322762@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: debian-devel@lists.debian.org, debian-qa@lists.debian.org
Cc: 322762@bugs.debian.org
Subject: Re: RFH: piuparts testing of the archive
Date: Mon, 7 Apr 2008 17:20:05 +0200
Lucas Nussbaum wrote:
> Before the etch release, I did a few piuparts runs on all packages,
> and filed the resulting bugs. I'd like someone to take over that task
> for lenny.

Whoever takes up this task, please keep #322762 updated about findings
related to the /usr/doc symlink transition.

I can't wait to see it go away :)

-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Thu, 25 Sep 2008 08:48:03 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Thu, 25 Sep 2008 08:48:03 GMT) Full text and rfc822 format available.

Message #1225 received at 322762-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 322762-done@bugs.debian.org
Subject: happy birthday! /usr/doc is finally gone
Date: Thu, 25 Sep 2008 10:45:49 +0200
[Message part 1 (text/plain, inline)]
Hi,

In 1999, Debian began moving /usr/doc to /usr/share/doc to comply with
the FHS. 

In 2005 Joey Hess picked up the leftovers from this task, which in turn where 
picked up by Amaya in 2006. Today I have the honor and fun to close this 
blocker bug, which was used to track this transition and to wish Amaya the 
very best and much more for her birthday :-) I love you! Mucho!

Have a great day and many many more happy days to come! :-)


regards,
	Holger

P.S.: there is a lintian check in place to prevent /usr/doc issues to come 
back: 
http://lintian.debian.org/tags/postinst-should-not-set-usr-doc-link.html - 
the last remaining package has been fixed in unstable and is awaiting either 
migration or removal to/from testing.

I don't bother about 
http://lintian.debian.org/tags/readme-debian-mentions-usr-doc.html though I 
think that still speaking about /usr/doc is a sure sign of being behind the 
times... Policy is your friend. Trust the Policy. Love the Policy. Obey the 
Policy.
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Oct 2008 07:27:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:42:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.